Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Equinox » Servlet delegate not registered with last servletBridge version
Servlet delegate not registered with last servletBridge version [message #106725] Thu, 20 March 2008 17:01 Go to next message
Eclipse UserFriend
Originally posted by: n.lavoillotte.educagri.fr

Hi all

I'm using RAP extention (1.1.0_M1) with eclipse Europa 3.3
My project is a RAP application and run correctly under eclipse.

If I try to deploy on Tomcat 5.5.25 server with the build script :
webappBuilder.xml, found in the org.eclipse.rap.demo.feature project and
when I run my browser : http://localhost:8080/FNPL_etat/rap?startup=fnpl

Tomacat says :
Etat HTTP 404 - BridgeServlet: /FNPL_etat/rap

message BridgeServlet: /FNPL_etat/rap

description La ressource demandée (BridgeServlet: /FNPL_etat/rap) n'est
pas disponible.

If I try the sp_ commands with my apllictation for example :
http://localhost:8080/FNPL_etat/sp_test

ServletBridge say :
Servlet delegate not registered.



About ServletBridge, I 'm using the following cvs repository references :
1.0,:pserver:anonymous@dev.eclipse.org:/cvsroot/eclipse,org.eclipse.equinox.
http.servletbridge,org.eclipse.equinox.http.servletbridge

1.0,:pserver:anonymous@dev.eclipse.org:/cvsroot/eclipse,org.eclipse.equinox.
servletbridge,org.eclipse.equinox.servletbridge

1.0,:pserver:anonymous@dev.eclipse.org:/cvsroot/eclipse,equinox-incubator/org.
eclipse.equinox.servletbridge.feature,org.eclipse.equinox.se rvletbridge.feature


best regards

My project use the followings bundles <feature
id="FNPL_etat.feature"
label="RAP Deployment Feature"
version="1.1.0.200803201546"
provider-name="eclipse.org">

<description url="http://www.example.com/description">
[Enter Feature Description here.]
</description>

<copyright url="http://www.example.com/copyright">
[Enter Copyright Description here.]
</copyright>

<license url="http://www.example.com/license">
[Enter License Description here.]
</license>

<plugin
id="FNPL_etat"
download-size="0"
install-size="0"
version="1.0.0"
unpack="false"/>

<plugin
id="org.hibernate.fnpl"
download-size="0"
install-size="0"
version="1.0.0"
unpack="false"/>

<plugin
id="org.eclipse.core.commands"
download-size="0"
install-size="0"
version="3.3.0.I20070605-0010"
unpack="false"/>

<plugin
id="org.eclipse.core.contenttype"
download-size="0"
install-size="0"
version="3.2.100.v20070319"
unpack="false"/>

<plugin
id="org.eclipse.core.jobs"
download-size="0"
install-size="0"
version="3.3.1.R33x_v20070709"
unpack="false"/>

<plugin
id="org.eclipse.core.runtime"
download-size="0"
install-size="0"
version="3.3.100.v20070530"
unpack="false"/>

<plugin
id="org.eclipse.equinox.common"
download-size="0"
install-size="0"
version="3.3.0.v20070426"
unpack="false"/>

<plugin
id="org.eclipse.equinox.http.registry"
download-size="0"
install-size="0"
version="1.0.100.v20071203"
unpack="false"/>

<plugin
id="org.eclipse.equinox.http.servlet"
download-size="0"
install-size="0"
version="1.0.100.v20080201"
unpack="false"/>

<plugin
id="org.eclipse.equinox.preferences"
download-size="0"
install-size="0"
version="3.2.100.v20070522"
unpack="false"/>

<plugin
id="org.eclipse.equinox.registry"
download-size="0"
install-size="0"
version="3.3.1.R33x_v20070802"
unpack="false"/>

<plugin
id="org.eclipse.osgi"
download-size="0"
install-size="0"
version="3.3.1.R33x_v20070828"
unpack="false"/>

<plugin
id="org.eclipse.osgi.services"
download-size="0"
install-size="0"
version="3.1.200.v20070605"
unpack="false"/>

<plugin
id="org.eclipse.rap.jface"
download-size="0"
install-size="0"
version="1.1.0.20080220-1610"
unpack="false"/>

<plugin
id="org.eclipse.rap.rwt"
download-size="0"
install-size="0"
version="1.1.0.20080220-1610"
unpack="false"/>

<plugin
id="org.eclipse.rap.ui.workbench"
download-size="0"
install-size="0"
version="1.1.0.20080220-1610"
unpack="false"/>

<plugin
id="org.eclipse.update.configurator"
download-size="0"
install-size="0"
version="3.2.101.R33x_v20070810"
unpack="false"/>

<plugin
id="org.eclipse.core.expressions"
download-size="0"
install-size="0"
version="3.3.0.v20070606-0010"
unpack="false"/>

<plugin
id="org.eclipse.equinox.app"
download-size="0"
install-size="0"
version="1.0.1.R33x_v20070828"
unpack="false"/>

<plugin
id="org.eclipse.rap.ui"
download-size="0"
install-size="0"
version="1.1.0.20080220-1610"
unpack="false"/>

</feature>
Re: Servlet delegate not registered with last servletBridge version [message #106754 is a reply to message #106725] Fri, 21 March 2008 00:10 Go to previous message
Simon Kaegi is currently offline Simon KaegiFriend
Messages: 381
Registered: July 2009
Senior Member
This indicates there was a problem launching the framework.
This is usually an application level problem so you probably should re-ask
your question on the RAP list.

-Simon

"nicolas lavoillotte" <n.lavoillotte@educagri.fr> wrote in message
news:fru59d$j7b$1@build.eclipse.org...
> Hi all
>
> I'm using RAP extention (1.1.0_M1) with eclipse Europa 3.3
> My project is a RAP application and run correctly under eclipse.
>
> If I try to deploy on Tomcat 5.5.25 server with the build script :
> webappBuilder.xml, found in the org.eclipse.rap.demo.feature project and
> when I run my browser : http://localhost:8080/FNPL_etat/rap?startup=fnpl
>
> Tomacat says :
> Etat HTTP 404 - BridgeServlet: /FNPL_etat/rap
>
> message BridgeServlet: /FNPL_etat/rap
>
> description La ressource demand
Previous Topic:Log Service Status
Next Topic:JSP compiler in Equinox and Tomcat 5
Goto Forum:
  


Current Time: Fri Apr 20 01:25:41 GMT 2018

Powered by FUDForum. Page generated in 0.01557 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software